> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.meetstream.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.meetstream.ai/_mcp/server.

# Get Calendar Connection

GET https://api.meetstream.ai/api/v1/calendar/connections/{provider}/{account_id}

Get one connected calendar account by provider and email address.

Reference: https://docs.meetstream.ai/api-reference/api-endpoints/calendar/get-calendar-connection

## Authentication

- `Authorization` header (required) (prefixed with ` Token  `) — Format: Token \<your\_api\_key>

## Request

### Path parameters

- `provider` (enum, required) — `google` or `outlook` (`microsoft` is accepted as an alias for `outlook`).
  - Allowed values: `google`, `outlook`, `microsoft`
- `account_id` (string, required) — The connected account's email address, URL-encoded.

## Response

### 200

Success

- `connection_id` (string, optional)
- `account_id` (string, optional)
- `provider` (enum, optional)
  - Allowed values: `google`, `outlook`
- `email` (string, optional)
- `display_name` (string, optional)
- `status` (enum, optional)
  - Allowed values: `ACTIVE`, `PENDING`, `ERROR`, `DISCONNECTING`
- `state` (string, optional) — Lowercase form of `status`.
- `version` (integer, optional)
- `created_at` (datetime, optional)
- `updated_at` (datetime, optional)
- `has_refresh_token` (boolean, optional)
- `calendars_count` (integer, optional)
- `metadata` (map from string to any, optional)
- `primary_calendar_id` (string, optional) — Google only.
- `watch_channels_count` (integer, optional) — Google only.
- `default_calendar_id` (string, optional) — Outlook only.
- `subscriptions_count` (integer, optional) — Outlook only.

## Errors

### 400 Bad Request Error

Invalid provider.

- `any`

### 404 Not Found Error

No connection for this account.

- `any`

## Examples

**Response**

```json
{
  "connection_id": "string",
  "account_id": "jane@acme.com",
  "provider": "google",
  "email": "jane@acme.com",
  "display_name": "Jane Doe",
  "status": "ACTIVE",
  "state": "string",
  "version": 1,
  "created_at": "2024-01-15T09:30:00Z",
  "updated_at": "2024-01-15T09:30:00Z",
  "has_refresh_token": true,
  "calendars_count": 1,
  "metadata": {},
  "primary_calendar_id": "string",
  "watch_channels_count": 1,
  "default_calendar_id": "string",
  "subscriptions_count": 1
}
```

**SDK Code**

```python
import requests

url = "https://api.meetstream.ai/api/v1/calendar/connections/google/jane%2540acme.com"

headers = {"Authorization": "Token <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.meetstream.ai/api/v1/calendar/connections/google/jane%2540acme.com';
const options = {method: 'GET', headers: {Authorization: 'Token <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.meetstream.ai/api/v1/calendar/connections/google/jane%2540acme.com"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Token <apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.meetstream.ai/api/v1/calendar/connections/google/jane%2540acme.com")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Token <apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.meetstream.ai/api/v1/calendar/connections/google/jane%2540acme.com")
  .header("Authorization", "Token <apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.meetstream.ai/api/v1/calendar/connections/google/jane%2540acme.com', [
  'headers' => [
    'Authorization' => 'Token <apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.meetstream.ai/api/v1/calendar/connections/google/jane%2540acme.com");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Token <apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Token <apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.meetstream.ai/api/v1/calendar/connections/google/jane%2540acme.com")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```